Loading...
Searching...
No Matches
apache::subversion::svnxx::detail::noncopyable_::noncopyable Class Reference
SVN++ Implementation Details

Base class for non-copyable objects. More...

`#include <svnxx/detail/noncopyable.hpp>`

## Detailed Description

Base class for non-copyable objects.

Objects of classes derived from `noncopyable` cannot be copied, but can used as rvalue references and with std::move.

Note
  Use private inheritance to avoid polymorphism traps!

Definition at line 43 of file noncopyable.hpp.

The documentation for this class was generated from the following file:

- svnxx/detail/noncopyable.hpp